Update User
Update a user's profile, role, or move them to a different tenant. All fields are optional - provide only the fields you want to update.
Path Parameters
- Type: stringuser
_id requiredUser HashID
Body·AdminUpdateUserInput
required
application/json
- Type: stringnullablefirst
_name User first name
- Type: stringnullablelast
_name User last name
- Type: stringnullablerole
_name New role name
- Type: stringnullabletenant
_id Move user to this tenant
Responses
- application/json
- application/json
Request Example for patch/admin/users/{user_id}
curl 'https://ai.hatz.ai/v1/admin/users/{user_id}' \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'X-API-Key: YOUR_SECRET_TOKEN' \
--data '{
"first_name": "",
"last_name": "",
"role_name": "",
"tenant_id": ""
}'
{
"message": "string",
"user_id": "string"
}